# Tutorials

If you are new to Cornac, the [Getting Started](#getting-started) tutorials are a good beginning point to learn how to use the framework. There is also a rich collection of [examples](../examples#cornac-examples-directory) on how to use specific models, run your evaluation on an existing data split, etc.

## Getting Started

- [Installation](../README.md#installation)
- [Your first Cornac experiment](../README.md#getting-started-your-first-cornac-experiment)  

## Contributing

- [Add a new recommender model](./add_model.md)
- [Add an evaluation metric](./add_metric.md)

## Cross-Modality

One important aspect of Cornac is broadening the use cases of existing recommendation algorithms, by enabling seamless cross-modality transformations, e.g., from visual or textual features to graph. This is of great interest as, for instance, the modality a given model is designed for may not always be available. Tutorials within this section elaborate more on this aspect by describing concrete end-to-end use cases. 

- [Text to Graph transformation](./text_to_graph.ipynb)
- [Visual recommendation algorithm with text data](./vbpr_text.ipynb)